package cz.frantovo.nekurak.ejb;

import cz.frantovo.nekurak.dao.PodnikDAO;
import cz.frantovo.nekurak.dto.Podnik;
import java.util.Collection;
import javax.annotation.security.RolesAllowed;
import javax.ejb.EJB;
import javax.ejb.Stateless;

/**
 *
 * @author fiki
 */
@Stateless
public class PodnikEJB implements PodnikRemote {

    @EJB
    private PodnikDAO podnikDAO = new PodnikDAO();

    public Collection<Podnik> getPodniky() {
	Collection<Podnik> vysledek = podnikDAO.getPodniky();
	return vysledek;
    }

    @RolesAllowed("opravneny")
    public void zalozPodnik(Podnik p) {
	podnikDAO.uloz(p);
    }

    @RolesAllowed("opravneny")
    public void upravPodnik(Podnik p) {
	podnikDAO.uloz(p);
    }
}
