package cz.frantovo.nekurak.web;

import cz.frantovo.nekurak.ejb.PodnikDAORemote;
import cz.frantovo.nekurak.ejb.PodnikRemote;
import java.io.Serializable;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

/**
 *
 * @author fiki
 */
public class HledacSluzby implements Serializable {

    private PodnikRemote podnikEJB;
    private static final Logger log = Logger.getLogger(HledacSluzby.class.getSimpleName());

    public PodnikRemote getPodnikEJB() {
	if (podnikEJB == null) {
	    try {
		Context c = new InitialContext();
		podnikEJB = (PodnikRemote) c.lookup("cz.frantovo.nekurak.ejb.PodnikRemote");
	    } catch (NamingException e) {
		log.log(Level.SEVERE, "Chyba při hledání PodnikRemote", e);
		throw new RuntimeException(e);
	    }
	}
	return podnikEJB;
    }
}
